Subject: Re: bug#10397: [PATCH] Under Remote Desktop, NUMCOLORS is unreliable; workaround

From: Jason Rumney <[email-masked]>
Date: Fri, 30 Dec 2011 09:04:16 +0800

Daniel Colascione <[email-masked]> writes:

> Under remote desktop, Windows returns the wrong number of colors from
> GetDeviceCaps (hdc, NUMCOLORS).  I hit this bug myself, and MSDN
> comments seem to indicate that others hit it as well.  The workaround
> seems harmless: on non-palettized displays, calculating the number of
> display colors based on display bitness should produce good results.

I've always been under the impression that this is deliberate, and
related to the bandwidth that is available, so at least applications
that want to improve performance over low bandwidth links can restrict
their use of colors.